[P006]Current Assignee Search Defense Patent

post
https://connect.patsnap.com/search/patent/company-search-defense-patent
Try in Sandbox

Receive applicant defense patent data. This includes patent count, patent number, and patent ID.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
offset
integer<int32>-
offset value; limit + offset <= 20000 (the max number of Semantic Search is 1000)
application
Required
string上海宇航系统工程研究所
Applicant name, the search logic is the same as Analytics query [AN:(上海宇航系统工程研究所)], up to 100 companies can be searched; multiple companies are separated by " OR ", e.g. "上海宇航系统工程研究所 OR 北京理工大学""
limit
integer<int32>10
limit of returned response; must be <= 1,000

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
results
arrayPlease check the form: PatentBaseResponse
result
pn
stringUS11205304B2
patent number
patent_id
string718ead9c-4f3c-4674-8f5a-24e126827269
patent id
result_count
integer<int32>10
Received result count
total_search_result_count
integer<int64>1000
Total search result count
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "results": [
      {
        "pn": "US11205304B2",
        "patent_id": "718ead9c-4f3c-4674-8f5a-24e126827269"
      }
    ],
    "result_count": 10,
    "total_search_result_count": 1000
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
12400001invalid parameter
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms